Subject: [IPFIX] IPFIX Assignments (http://www.iana.org/assignments/ipfix/ipfix.xml)

From: Brian Trammell <[email-masked]>
Date: Mon, 22 Mar 2010 14:53:07 -0700

Greetings,

The IPFIX assignments registry has one (minor) issue, which I'm reasonably certain is my fault, since it came from a bit of RFC 5655 that I wrote. The Data Type for IE 262, messageMD5Checksum contains the string "octetArray (16 bytes)", which due to the note on the size is not a valid data type description string in the informationElementDataTypes registry as per RFC 5610. 

For consistency, I would propose to update this registry entry to have Data Type "octetArray", with a note added to the description "This Information Element has a fixed length of 16 octets."

This would not be an issue at all if the registry were used only for human consumption; however, I discovered it while building an IPFIX implementation that bootstraps its information model from the IANA registry at runtime. The proposed update (and a future policy of only having Data Type values that are valid data type description strings) would remove the need to code a special-case for this entry.

Incidentally, I'd like to thank everyone at IANA and within the WG involved in bringing the XML registry up; it's made it possible to implement completely automated registry updates, which is one less thing for implementors to worry about. :)

Best regards,

Brian